Main Page Widgets Namespaces Book

# Glib::Value< int > Class Template Reference
[Generic Values]

Inheritance diagram for Glib::Value< int >:

[legend]
List of all members.

## Public Types

typedef int | CppType
typedef gint | CType

## Public Member Functions

void | set (int data)
int | get () const

## Static Public Member Functions

GType | value_type () G_GNUC_CONST

### template<>
class Glib::Value< int >

## Member Typedef Documentation

typedef int Glib::Value<int>::CppType

typedef gint Glib::Value<int>::CType

## Member Function Documentation

int Glib::Value<int>::get | ( |  | ) | const

void Glib::Value<int>::set | ( | int | data | ) |

GType Glib::Value<int>::value_type | ( |  | ) | `[static]`

The documentation for this class was generated from the following file:

- value_basictypes.h